> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# List transfer categories for workspace



## OpenAPI

````yaml /api-reference/platform-api.json get /v2/transfers/enrichment/categories
openapi: 3.0.0
info:
  title: Range Platform API
  description: >-
    The Range Platform API for workspace management, counterparties, and
    operational tooling.
  version: 1.7.8
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
tags:
  - name: Counterparties
    description: Manage external entities, their addresses, bank accounts, and documents.
  - name: Transfer Enrichments
    description: Attach workspace-scoped notes and categories to transfers.
paths:
  /v2/transfers/enrichment/categories:
    get:
      tags:
        - Transfer Enrichments
      summary: List transfer categories for workspace
      operationId: listCategories
      parameters:
        - name: transferId
          required: false
          in: query
          schema:
            type: string
        - name: categories
          required: false
          in: query
          schema:
            type: array
            items:
              type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListTxCategoriesResponseDto'
components:
  schemas:
    ListTxCategoriesResponseDto:
      type: object
      properties:
        resources:
          type: array
          items:
            $ref: '#/components/schemas/TxCategoryDto'
      required:
        - resources
    TxCategoryDto:
      type: object
      properties:
        workspaceId:
          type: string
        transferId:
          type: string
        category:
          type: string
        createdAt:
          type: string
      required:
        - workspaceId
        - transferId
        - category
        - createdAt
  securitySchemes:
    Authorization:
      scheme: bearer
      bearerFormat: API Key
      description: 'Use Authorization: Bearer <api-key>'
      type: http

````